> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yativo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Swap Routes

> Retrieve all available swap routes between assets and chains

<ParamField header="Authorization" type="string" required>
  Bearer token: `Bearer YOUR_ACCESS_TOKEN`
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X GET 'https://crypto-api.yativo.com/api/v1/swap/routes' \
    -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "sources": [
        {"ticker_name": "SOL", "asset_name": "Solana", "chain": "SOL"},
        {"ticker_name": "USDC_SOL", "asset_name": "USD Coin (Solana)", "chain": "SOL"},
        {"ticker_name": "ETH_Base", "asset_name": "Ethereum on Base", "chain": "Base"},
        {"ticker_name": "EURe_GNO", "asset_name": "Euro Bridged (GNO)", "chain": "GNO"}
      ]
    },
    "message": "Swap route catalog retrieved successfully"
  }
  ```
</ResponseExample>
